CHSH(1)

NAME
chsh - change your login shell

SYNOPSIS
chsh [-s shell] [-l] [-h] [-v] [username]

DESCRIPTION
chsh is used to change your login shell. If a shell is not given on the command line, chsh prompts for one. chsh supports non-local entries (kerberos, LDAP, etc.) if linked with libuser, otherwise use ypchsh, lchsh or any other implementation for non-local entries.

OPTIONS

-s, --shell shell
    Specify your login shell.

-l, --list-shells
    Print the list of shells listed in /etc/shells and exit.

-h, --help
    Display help text and exit.

-v, --version
    Display version information and exit.

VALID SHELLS
chsh will accept the full pathname of any executable file on the system. However, it will issue a warning if the shell is not listed in the /etc/shells file. On the other hand, it can also be configured such that it will only accept shells listed in this file, unless you are root.

EXIT STATUS
Returns 0 if operation was successful, 1 if operation failed or command syntax was not valid.

SEE ALSO
login(1), login.defs(5), passwd(5), shells(5)

AUTHOR
Salvatore Valente <svalente@mit.edu>

AVAILABILITY
The chsh command is part of the util-linux package and is available from https://www.kernel.org/pub/linux/utils/util-linux/.